Package com.verisign.epp.codec.balance

## Class EPPBalanceMapFactory

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPMapFactory
  - - com.verisign.epp.codec.balance.EPPBalanceMapFactory

-     public class EPPBalanceMapFactory
      extends EPPMapFactory

  The EPPCodec Extension Factory that needs to be configured to encode/decode Balance command and response. The LowBalance Poll URI is: http://www.verisign.com/epp/balance-1.0

  Title: EPP 1.0 Balance

  Description: Balance Mapping for the EPP SDK

  Copyright: Copyright (c) 2011

  Company: VeriSign

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `NS` | Namespace URI associated with EPPBalanceFactory.
    `static java.lang.String` | `NS_PREFIX` | Namespace prefix associated with EPPBalanceFactory.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPMapFactory

      `EPP_CHECK, EPP_CREATE, EPP_DELETE, EPP_INFO, EPP_LOGIN, EPP_LOGOUT, EPP_RENEW, EPP_TRANSFER, EPP_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPBalanceMapFactory()` | Create a new instance of EPPBalanceMapFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EPPCommand` | `createCommand​(org.w3c.dom.Element aMapElement)` | Overridden but does nothing in the context of LowBalance Poll.
    `EPPResponse` | `createResponse​(org.w3c.dom.Element aMapElement)` | Creates the poll response
    `EPPService` | `getService()` | Returns the EPPService instance associated with this MapFactory.
    `java.util.Set` | `getXmlSchemas()` | Gets the list of XML schemas that need to be pre-loaded into the XML Parser.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final java.lang.String NS

      Namespace URI associated with EPPBalanceFactory.
      See Also:
        Constant Field Values

    - #### NS_PREFIX

          public static final java.lang.String NS_PREFIX

      Namespace prefix associated with EPPBalanceFactory.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPBalanceMapFactory

          public EPPBalanceMapFactory()

      Create a new instance of EPPBalanceMapFactory

  - ### Method Detail

    - #### createCommand

          public EPPCommand createCommand​(org.w3c.dom.Element aMapElement)
                                   throws EPPCodecException

      Overridden but does nothing in the context of LowBalance Poll. Only Poll responses are implemented
      Specified by:
        `createCommand` in class `EPPMapFactory`
      Parameters:
        `aMapElement` - DOM `Element` to create command from
      Returns:
        `EPPCommand` if supported
      Throws:
        `EPPCodecException` - If cannot create `EPPCommand`.

    - #### getService

          public EPPService getService()

      Returns the EPPService instance associated with this MapFactory. The EPPService instance contains the XML Namespace and XML Schema location
      Specified by:
        `getService` in class `EPPMapFactory`
      Returns:
        the EPPService instance associated with this ExtFactory

    - #### createResponse

          public EPPResponse createResponse​(org.w3c.dom.Element aMapElement)
                                     throws EPPCodecException

      Creates the poll response
      Specified by:
        `createResponse` in class `EPPMapFactory`
      Parameters:
        `aMapElement` - DOM `Element` to create response from
      Returns:
        `EPPResponse` if supported
      Throws:
        `EPPCodecException` - If cannot create `EPPResponse`.

    - #### getXmlSchemas

          public java.util.Set getXmlSchemas()

      Gets the list of XML schemas that need to be pre-loaded into the XML Parser.
      Overrides:
        `getXmlSchemas` in class `EPPMapFactory`
      Returns:
        `Set` of `String` XML Schema names that should be pre-loaded in the XML Parser.
      See Also:
        `EPPMapFactory.getXmlSchemas()`